package com.ss.android.ugc.aweme.benchmark;

import X.C22438Ze;
import X.Lnj;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.bl.IBenchmarkInitService;

public final class BenchmarkInitService implements IBenchmarkInitService {
    static {
        Covode.recordClassIndex(54584);
    }

    public final C22438Ze getBenchmarkInitTask() {
        return new BenchmarkInitRequest();
    }

    public static IBenchmarkInitService createIBenchmarkInitServicebyMonsterPlugin(boolean z) {
        MethodCollector.i(4339);
        IBenchmarkInitService iBenchmarkInitService = (IBenchmarkInitService) Lnj.LIZ(IBenchmarkInitService.class, z);
        if (iBenchmarkInitService != null) {
            MethodCollector.o(4339);
            return iBenchmarkInitService;
        }
        Object LIZIZ = Lnj.LIZIZ(IBenchmarkInitService.class, z);
        if (LIZIZ != null) {
            IBenchmarkInitService iBenchmarkInitService2 = (IBenchmarkInitService) LIZIZ;
            MethodCollector.o(4339);
            return iBenchmarkInitService2;
        }
        if (Lnj.LJJL == null) {
            synchronized (IBenchmarkInitService.class) {
                try {
                    if (Lnj.LJJL == null) {
                        Lnj.LJJL = new BenchmarkInitService();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(4339);
                    throw th;
                }
            }
        }
        BenchmarkInitService benchmarkInitService = (BenchmarkInitService) Lnj.LJJL;
        MethodCollector.o(4339);
        return benchmarkInitService;
    }
}
